"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isVueFiles = exports.tsconfigExists = void 0;
const ansi_colors_1 = __importDefault(require("ansi-colors"));
const fs_1 = require("fs");
const tsconfigExists = (argv) => {
    if (!(0, fs_1.existsSync)(argv.tsconfigPath)) {
        throw new Error(ansi_colors_1.default.red(`${argv.tsconfigPath} does not exist`));
    }
    return true;
};
exports.tsconfigExists = tsconfigExists;
const isVueFiles = (argv) => {
    const targetFilePaths = argv.targetFilePaths;
    if (targetFilePaths.some((f) => !f.endsWith(".vue"))) {
        throw new Error(ansi_colors_1.default.red("Error: A non-vue file is passed as the target file."));
    }
    else {
        return true;
    }
};
exports.isVueFiles = isVueFiles;
